nlohmann::detail::nonesuch Struct Reference

`#include <json.hpp>`

## Public Member Functions

| nonesuch ()=delete
| ~nonesuch ()=delete
| nonesuch (nonesuch const &)=delete
| nonesuch (nonesuch const &&)=delete
void | operator= (nonesuch const &)=delete
void | operator= (nonesuch &&)=delete
| nonesuch ()=delete
| ~nonesuch ()=delete
| nonesuch (nonesuch const &)=delete
| nonesuch (nonesuch const &&)=delete
void | operator= (nonesuch const &)=delete
void | operator= (nonesuch &&)=delete

## Constructor & Destructor Documentation

## nonesuch() [1/6]

nlohmann::detail::nonesuch::nonesuch | ( |  | ) |

delete

## ~nonesuch() [1/2]

nlohmann::detail::nonesuch::~nonesuch | ( |  | ) |

delete

## nonesuch() [2/6]

nlohmann::detail::nonesuch::nonesuch | ( | nonesuch const & |  | ) |

delete

## nonesuch() [3/6]

nlohmann::detail::nonesuch::nonesuch | ( | nonesuch const && |  | ) |

delete

## nonesuch() [4/6]

nlohmann::detail::nonesuch::nonesuch | ( |  | ) |

delete

## ~nonesuch() [2/2]

nlohmann::detail::nonesuch::~nonesuch | ( |  | ) |

delete

## nonesuch() [5/6]

nlohmann::detail::nonesuch::nonesuch | ( | nonesuch const & |  | ) |

delete

## nonesuch() [6/6]

nlohmann::detail::nonesuch::nonesuch | ( | nonesuch const && |  | ) |

delete

## Member Function Documentation

## operator=() [1/4]

void nlohmann::detail::nonesuch::operator= | ( | nonesuch && |  | ) |

delete

## operator=() [2/4]

void nlohmann::detail::nonesuch::operator= | ( | nonesuch && |  | ) |

delete

## operator=() [3/4]

void nlohmann::detail::nonesuch::operator= | ( | nonesuch const & |  | ) |

delete

## operator=() [4/4]

void nlohmann::detail::nonesuch::operator= | ( | nonesuch const & |  | ) |

delete

The documentation for this struct was generated from the following file:

- build/_deps/json-src/include/nlohmann/json.hpp